const String templateBegining = """
import 'dart:async';

import 'package:flutter/material.dart';

/// This class is generated by the flappy_translator package
/// Please do not change anything manually in this file, instead re-generate it when changes are available
class #CLASS_NAME# {
  /// Fields area

  static Map<String, String> _localizedValues;

  /// Values area

""";

const String templateDependContext = """
  #CLASS_NAME#(Locale locale) {
    this._locale = locale;
    _localizedValues = null;
  }

  Locale _locale;

  static #CLASS_NAME# of(BuildContext context) {
    return Localizations.of<#CLASS_NAME#>(context, #CLASS_NAME#);
  }

  String _getText(String key) {
    return _localizedValues[key] ?? '** \$key not found';
  }

  Locale get currentLocale => _locale;

  String get currentLanguage => _locale.languageCode;
""";

const String templateDontDependContext = """
  #CLASS_NAME#(Locale locale) {
    _locale = locale;
    _localizedValues = null;
  }

  static Locale _locale;

  static String _getText(String key) {
    return _localizedValues[key] ?? '** \$key not found';
  }

  static Locale get currentLocale => _locale;

  static String get currentLanguage => _locale.languageCode;
""";

const String templateEnding = """

  static Future<#CLASS_NAME#> load(Locale locale) async {
    final translations = #CLASS_NAME#(locale);
    _localizedValues = _allValues[locale.toString()];
    return translations;
  }
}

class #CLASS_NAME#Delegate extends LocalizationsDelegate<#CLASS_NAME#> {
  const #CLASS_NAME#Delegate();

  /// SupportedLanguages area

  @override
  Future<#CLASS_NAME#> load(Locale locale) => #CLASS_NAME#.load(locale);

  @override
  bool shouldReload(#CLASS_NAME#Delegate old) => false;
}

""";
